Skip to main content
GET
/
v2
/
identities
/
{id}
Core - Retrieve identity with metrics
curl --get 'https://api.orq.ai/v2/identities/customer_12345' \
  --header 'Authorization: Bearer $ORQ_API_KEY' \
  --data-urlencode 'include_metrics=true'
{
  "identity": {
    "_id": "<string>",
    "external_id": "<string>",
    "workspace_id": "<string>",
    "created": "<string>",
    "updated": "<string>",
    "display_name": "<string>",
    "email": "<string>",
    "avatar_url": "<string>",
    "tags": [
      "<string>"
    ],
    "metadata": {},
    "metrics": {
      "total_tokens": 123,
      "total_cost": 123,
      "total_requests": 123,
      "error_rate": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identity ID to retrieve.

Query Parameters

include_metrics
boolean

Include aggregate usage metrics on the returned identity.

Response

200 - application/json

OK

identity
object
required

Requested identity.